SoVRMLPointLight(3)

NAME
SoVRMLPointLight - The SoVRMLPointLight class is used to represent a point light.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLPointLight.h>

Inherits SoVRMLLight.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVRMLPointLight (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFVec3f location
SoSFFloat radius
SoSFVec3f attenuation

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLPointLight ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLPointLight class is used to represent a point light. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

PointLight {
  exposedField SFFloat ambientIntensity  0       # [0,1]
  exposedField SFVec3f attenuation       1 0 0   # [0, inf)
  exposedField SFColor color             1 1 1   # [0,1]
  exposedField SFFloat intensity         1       # [0,1]
  exposedField SFVec3f location          0 0 0   # (-inf, inf)
  exposedField SFBool  on                TRUE
  exposedField SFFloat radius            100     # [0, inf)
}

The PointLight node specifies a point light source at a 3D location in the local coordinate system. A point light source emits light equally in all directions; that is, it is omnidirectional. PointLight nodes are specified in the local coordinate system and are affected by ancestor transformations. Subclause 4.6.6, Light sources (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.6), contains a detailed description of the ambientIntensity, color, and intensity fields.

A PointLight node illuminates geometry within radius metres of its location. Both radius and location are affected by ancestors' transformations (scales affect radius and transformations affect location).

The radius field shall be greater than or equal to zero. PointLight node's illumination falls off with distance as specified by three attenuation coefficients. The attenuation factor is 1/ max(attenuation[0] + attenuation[1]Śr + attenuation[2]Śr2, 1), where r is the distance from the light to the surface being illuminated. The default is no attenuation. An attenuation value of (0, 0, 0) is identical to (1, 0, 0). Attenuation values shall be greater than or equal to zero. A detailed description of VRML's lighting equations is contained in 4.14, Lighting model (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.14).

Constructor & Destructor Documentation

  SoVRMLPointLight::SoVRMLPointLight (void)
Constructor.

  SoVRMLPointLight::~SoVRMLPointLight () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLPointLight::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLPointLight::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLLight.

  const SoFieldData ** SoVRMLPointLight::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLPointLight::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLLight.

  void SoVRMLPointLight::initClass (void) [static]

  void SoVRMLPointLight::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoVRMLLight.

Member Data Documentation

  SoSFVec3f SoVRMLPointLight::location
Point light position.

  SoSFFloat SoVRMLPointLight::radius
Radius of point light.

  SoSFVec3f SoVRMLPointLight::attenuation
The point light attenuation.

Author

Generated automatically by Doxygen for Coin from the source code.